#### D.5.2.40 cProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  cProj(n); n integer

Return:
  list of integers

Purpose:
  computes the terms of positive degree of the total Chern class of the tangent bundle on the complex projective space

Note:

Example:

    LIB "chern.lib";
    ring r=0, (t), dp;
    // the coefficients of the total Chern class of the complex projective line
    print( cProj(1) );
    // the coefficients of the total Chern class of the complex projective plane
    print( cProj(2) );
    // the coefficients of the total Chern class of the complex projective space
    // of dimension three
    print( cProj(3) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.